Loading...
Searching...
No Matches
bsoncxx::builder::basic::sub_document Class Reference

`#include <bsoncxx/v_noabi/bsoncxx/builder/basic/sub_document.hpp>`

## Description

Represents a document element being constructed during an append operation.

See also
  - bsoncxx::v_noabi::builder::basic::array
  - bsoncxx::v_noabi::builder::basic::document

## Public Member Functions

void | append ()
| Inductive base-case for the variadic append(...).
template<typename Arg, typename... Args>
void | append (Arg &&a, Args &&... args)
| Appends multiple basic::kvp key-value pairs.

## Member Function Documentation

## append() [1/2]

void bsoncxx::v_noabi::builder::basic::sub_document::append | ( |  | ) |

inline

Inductive base-case for the variadic append(...).

## append() [2/2]

template<typename Arg, typename... Args>

void bsoncxx::v_noabi::builder::basic::sub_document::append | ( | Arg && | a,
|  | Args &&... | args )

inline

Appends multiple basic::kvp key-value pairs.

The documentation for this class was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/builder/basic/sub_document.hpp